YUI Flash Component Documentation |
Class HorizontalAlignment

Package | com.yahoo.astra.layout.modes
Class | public class HorizontalAlignment

A set of constants for horizontal alignment values used by the layout engine.

Public Constants

| Constant | Defined by
--- | --- | ---
|  | CENTER : String = "center" [static] Items will be aligned to the center of the available bounds. | HorizontalAlignment
|  | LEFT : String = "left" [static] Items will be aligned to the left of the available bounds. | HorizontalAlignment
|  | RIGHT : String = "right" [static] Items will be aligned to the right of the available bounds. | HorizontalAlignment

Constant detail

CENTER | constant

`public static const CENTER:String = "center"`

Items will be aligned to the center of the available bounds.

LEFT | constant |

`public static const LEFT:String = "left"`

Items will be aligned to the left of the available bounds.

RIGHT | constant |

`public static const RIGHT:String = "right"`

Items will be aligned to the right of the available bounds.